#AUDIT IFM NO MISSING

load("SIMULATE_DATA_100_20_10.RData")

#NOTE: YOU WILL NEED TO RENAME SUPPLEMENTARY FILES IN ORDER TO LOAD FUNCTIONS.

source("1_MCMC_FUNCTIONS.R")
source("2_IFM_NO_MISSING_MCMC_FUNCTION.R")
source("5_CHAIN_DIAGNOSTICS_FUNCTIONS.R")
library("coda")

#THESE PARAMETERS WILL NEED TO BE EDITED TO CORRESPOND TO THE SIMULATED DATA:
niter=25000
nsite=100
nyear=20
nthin=25
sim.inm.init1=list(log.alpha=log(0.2),log.beta=log(0.5),log.gamma=log(10),log.mu=log(0.25),log.chi=log(0.25))

sim.inm1=ifm.no.missing.MCMC(niter=niter,init=sim.inm.init1, z.data=z.sim.no.missing.values, sim.distance=sim.distance,sim.area=sim.area, sd.prop.alpha=0,sd.prop.beta=0.75,sd.prop.gamma=0,sd.prop.mu=0,sd.prop.chi=0,gamma.beta.bivnorm.high=FALSE,gamma.beta.bivnorm.low=FALSE,nthin=nthin,print.by=1000,seed=1)

coda.create(sim.inm1,"sim_inm1",par.list=list("log.mu.chain","log.chi.chain","log.alpha.chain","log.beta.chain","log.gamma.chain"),niter=niter,nthin=nthin)
coda.sim.inm1=read.coda("sim_inm1.txt","sim_inm1_Index.txt")
plot(coda.sim.inm1)

accept.calculate(sim.inm1,option=1)


sim.inm.init2=list(log.alpha=0.25,log.beta=-5,log.gamma=0.25,log.mu=0.25,log.chi=0.25)
sim.inm2=ifm.no.missing.MCMC(niter=niter,init=sim.inm.init1,z.data=z.sim.no.missing.values, sim.distance=sim.distance,sim.area=sim.area, sd.prop.alpha=0.2,sd.prop.beta=0.75,sd.prop.gamma=0.2,sd.prop.mu=0.2,sd.prop.chi=0.3,beta.univariate=TRUE,gamma.beta.bivnorm.high=FALSE,gamma.beta.bivnorm.low=FALSE,nthin=nthin,print.by=1000,seed=1)

coda.create(sim.inm1,"sim_inm1",par.list=list("log.mu.chain","log.chi.chain","log.alpha.chain","log.beta.chain","log.gamma.chain"),niter=niter,nthin=nthin)
coda.create(sim.inm2,"sim_inm2",par.list=list("log.mu.chain","log.chi.chain","log.alpha.chain","log.beta.chain","log.gamma.chain"),niter=niter,nthin=nthin)
coda.sim.inm1=read.coda("sim_inm1.txt","sim_inm1_Index.txt")
coda.sim.inm2=read.coda("sim_inm2.txt","sim_inm2_Index.txt")
coda.sim.inm.list=mcmc.list(coda.sim.inm1,coda.sim.inm2)
sim.inm=combine.chains(sim.inm1,sim.inm2,nburnin=1000,nthin=10)
coda.create(sim.inm,"sim_inm",par.list=list("log.mu.chain","log.chi.chain","log.alpha.chain","log.beta.chain","log.gamma.chain"),niter=1.8e4,nthin=nthin)
coda.sim.inm.long=read.coda("sim_inm.txt","sim_inm_Index.txt")

summary(coda.sim.inm.list) 
summary(sim.temp.list)
summary(coda.sim.inm.long)

pdf(file="SIM_INM_100_20.pdf")
plot(coda.sim.inm.list)
plot(coda.sim.inm.long)
dev.off()
